# $Revision: 1.16 $, $Date: 2008/08/16 18:01:36 $
Summary:	Kacpi is a laptop battery and CPU temperature monitor
Summary(pl.UTF-8):	Kacpi to program monitorujący temperaturę CPU oraz stan baterii laptopa
Name:		kacpi
Version:	0.6.3e
Release:	5
License:	GPL
Vendor:		Jonas Genannt <jonasge@gmx.net>
Group:		X11/Applications
Source0:	http://www.elektronikschule.de/~genannt/kacpi/download/%{name}-%{version}.tar.bz2
# Source0-md5:	4fca455edd54b9178711de04ffc8da12
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gcc43.patch
URL:		http://www.elektronikschule.de/~genannt/kacpi/
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kacpi is a laptop battery and CPU temperature monitor for Linux
kernels with ACPI support.
- a battery status update every minute as well as a button to force a
  check;
- a low-battery warning with 12-15 minutes and again with 5 minutes
  remaining;
- docking in the panel.

%description -l pl.UTF-8
Kacpi to program monitorujący temperaturę CPU oraz stan baterii
laptopa, przeznaczony dla jąder zawierających obsługę ACPI. Cechy:
- status baterii aktualizowany co 5 minut lub za naciśnięciem
  przycisku;
- informowanie o niskim stanie baterii co 12-15 minut i ponownie
  5 minut przed wyczerpaniem;
- panel dokujący.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
# no icon themes, *.png installed directly to icondir - so use pixmapsdir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
cp -f /usr/share/automake/config.* admin
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kacpi.spec,v $
Revision 1.16  2008/08/16 18:01:36  adamg
- gcc43.patch; release 5

Revision 1.15  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.13  2006/12/08 07:10:19  qboosh
- pixmapsdir usage was OK here (see comment!)

Revision 1.12  2006/12/07 23:56:46  darekr
- kill obsoleted kde_ redefinition, BR: libstdc++-devel, use _iconsdir

Revision 1.11  2005/06/14 19:12:32  zbyniu
- BR: gettext-devel

Revision 1.10  2004/08/31 19:22:13  snurf
- typos / formatting / etc.

Revision 1.9  2004/07/27 22:35:59  ankry
- desktop file fixes, rel. 4

Revision 1.8  2004/04/05 16:40:59  qboosh
- fixed desktop install, release 3

Revision 1.7  2004/04/04 21:28:03  qboosh
- refresh config.sub for amd64; TODO: fix .desktop install

Revision 1.6  2004/02/27 17:39:01  blues
- release 2

Revision 1.5  2003/07/27 20:49:56  adamg
- updated to 0.6.3e

Revision 1.4  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/03 23:23:53  qboosh
- pl fixes, changed _prefix for HEAD, added missing _htmldir definition

Revision 1.1  2003/02/28 22:02:25  misi3k
- initial release
